FullWrtParserInternal::DocZoneStruct Struct Reference

Internal and low level: a structure used to define the list of zone in Zone 0 data of a FullWrite file. More...

## Public Member Functions

| DocZoneStruct ()
| constructor

## Public Attributes

long | m_pos
| the file position
int | m_structType
| the struct type
int | m_type
| the type
int | m_nextId
| the next id
int | m_fatherId
| the father id
std::vector< int > | m_childList
| the list of child id

## Friends

std::ostream & | operator<< (std::ostream &o, DocZoneStruct const &dt)
| the operator<<

## Detailed Description

Internal and low level: a structure used to define the list of zone in Zone 0 data of a FullWrite file.

## Constructor & Destructor Documentation

## DocZoneStruct()

FullWrtParserInternal::DocZoneStruct::DocZoneStruct | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DocZoneStruct const & | dt )

friend

the operator<<

## Member Data Documentation

## m_childList

std::vector<int> FullWrtParserInternal::DocZoneStruct::m_childList

the list of child id

Referenced by DocZoneStruct(), and operator<<.

## m_fatherId

int FullWrtParserInternal::DocZoneStruct::m_fatherId

the father id

Referenced by DocZoneStruct(), operator<<, and FullWrtParser::readDocZoneStruct().

## m_nextId

int FullWrtParserInternal::DocZoneStruct::m_nextId

the next id

Referenced by DocZoneStruct(), operator<<, and FullWrtParser::readDocZoneStruct().

## m_pos

long FullWrtParserInternal::DocZoneStruct::m_pos

the file position

Referenced by DocZoneStruct(), and FullWrtParser::readDocZoneStruct().

## m_structType

int FullWrtParserInternal::DocZoneStruct::m_structType

the struct type

Referenced by DocZoneStruct(), operator<<, FullWrtParser::readDocZoneData(), and FullWrtParser::readDocZoneStruct().

## m_type

int FullWrtParserInternal::DocZoneStruct::m_type

the type

Referenced by DocZoneStruct(), operator<<, FullWrtParser::readDocZoneData(), and FullWrtParser::readDocZoneStruct().

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx